%define upstream_name    Config-Identity
%define upstream_version 0.0018

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Load (and optionally decrypt via GnuPG) user/pass identity information
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Which)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Test::Most)
BuildArch:  noarch

%description
Config::Identity is a tool for loading (and optionally decrypting via
GnuPG) user/pass identity information.

For GitHub API access, an identity is a 'login'/'token' pair.

For PAUSE access, an identity is a 'user'/'password' pair.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.1.800-7pclos2017
- rebuild against updates

